--new models and remapping of old models by Slightly

local S = beds.get_translator

--model and tile shortcuts

--model --2 tile - 1st bedding, 2nd frame, all pillows white

local simple = "beds_simple_bed.obj"
local fancy = "beds_fancy_bed.obj"
local bunkbed = "bunkbed_with_pillow.obj"
local pillow = "fancybed_with_pillow.obj"
local blanket = "fancybed_with_pillow_blanket.obj"
local log = "logbed_with_pillow.obj" --3rd tile for tree_top

--bedding

local red = "beds_fancy_red_default.png"
local green = "beds_fancy_green_acacia.png"
local blue = "beds_fancy_blue_aspen.png"
local orange = "beds_fancy_orange_jungle.png"
local yellow = "beds_fancy_yellow_log.png"
local violet = "beds_fancy_violet_pine.png"
local off_white = "beds_fancy_off_white_gray.png"
local white = "beds_fancy_white_hardwood.png"

--frame --redundant, but easier to choose frames when different from bedding

local wood = red
local acacia = green
local aspen = blue
local jungle = orange
local tree = yellow
local pine = violet
local gray = off_white
local hardwood = white


-- Fancy shaped beds, can use one or two tiles to mix bedding colors and frame woods

--Red with Default Wood

beds.register_bed("beds:fancy_bed_red", {
	description = S("Red Fancy Bed"),
	mesh = fancy,
	tiles = {red},
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"", "", "group:stick"},
		{"wool:red", "wool:red", "wool:white"},
		{"default:wood", "default:wood", "default:wood"}
	}
})

--Bunkbed, bottom, use one or two tiles, place regular fancy bed for top bunk

--Green Bunkbed with Default Wood

beds.register_bed("beds:bunk_green_default", {
	description = S("Green BunkBed with Default Wood"),
	mesh = bunkbed,
	tiles = {green, wood},
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"group:stick", "", "group:stick"},
		{"wool:green", "wool:green", "wool:white"},
		{"default:wood", "default:wood", "default:wood"}
	}
})


beds.register_bed("beds:bunk_blue_tree", {
	description = S("Blue BunkBed with Default Tree"),
	mesh = bunkbed,
	tiles = {blue, tree},
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"group:stick", "", "group:stick"},
		{"wool:blue", "wool:blue", "wool:white"},
		{"default:tree", "default:tree", "default:tree"}
	}
})


--Orange Bunkbed with Junglewood

beds.register_bed("beds:bunk_orange_jungle", {
	description = S("Orange BunkBed with Jungle"),
	mesh = bunkbed,
	tiles = {orange},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"group:stick", "", "group:stick"},
		{"wool:orange", "wool:orange", "wool:white"},
		{"default:junglewood", "default:junglewood", "default:junglewood"}
	}
})

--Blue with Aspen

beds.register_bed("beds:fancy_bed_blue", {
	description = S("Blue Fancy Bed"),
	mesh = fancy,
	tiles = {blue},
	mesh = fancy,
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"", "", "group:stick"},
		{"wool:blue", "wool:blue", "wool:white"},
		{"default:aspen_wood", "default:aspen_wood", "default:aspen_wood"}
	}
})

--Yellow with Log (default_tree) Wood

beds.register_bed("beds:fancy_bed_yellow", {
	description = S("Yellow Fancy Bed"),
	mesh = fancy,
	tiles = {yellow},
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"", "", "group:stick"},
		{"wool:yellow", "wool:yellow", "wool:white"},
		{"default:tree", "default:tree", "default:tree"}
	}
})

--Fancy Beds with Additional Bedding, 1 or 2 tiles
--second tile colors blanket

--Orange with Pillow

beds.register_bed("beds:fancy_bed_orange_pillow", {
	description = S("Orange Fancy Bed with Pillow"),
	mesh = pillow,
	tiles = {orange},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "", "group:stick"},
		{"wool:orange", "wool:orange", "wool:white"},
		{"default:junglewood", "default:junglewood", "default:junglewood"}
	}
})

--Fancy Bed with Off-White, Gray, and Pillow

beds.register_bed("beds:fancy_bed_white_pillow", {
	description = S("Off-White Bed with Pillow"),
	mesh = pillow,
	tiles = {off_white},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "", "group:stick"},
		{"wool:off_white", "wool:off_white", "wool:white"},
		{"default:acacia_tree", "default:acacia_tree", "default:acacia_tree"}
	}
})

--White with Default, Pillow, and Red Blanket

beds.register_bed("beds:fancy_bed_white_red_blanket", {
	description = S("White Fancy Bed with Red Blanket"),
	mesh = blanket,
	tiles = {white, red},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "wool:red", "group:stick"},
		{"wool:off_white", "off_white", "wool:white"},
		{"default:wood", "default:wood", "default:wood"}
	}
})


--Green with Acacia, Pillow, and Blanket

beds.register_bed("beds:fancy_bed_green_blanket", {
	description = S("Green Fancy Bed with Blanket"),
	mesh = blanket,
	tiles = {green},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "wool:green", "group:stick"},
		{"wool:green", "wool:green", "wool:white"},
		{"default:acacia_wood", "default:acacia_wood", "default:acacia_wood"}
	}
})


--Green with Jungle and Pillow

beds.register_bed("beds:fancy_bed_green_jungle_pillow", {
	description = S("Green with Jungle and Pillow"),
	mesh = pillow,
	tiles = {green, jungle},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "", "group:stick"},
		{"wool:green", "wool:green", "wool:white"},
		{"default:junglewood", "default:junglewood", "default:junglewood"}
	}
})


--Violet with Acacia, Pillow, and Green Blanket

beds.register_bed("beds:fancy_bed_violet_green_blanket", {
	description = S("Violet Fancy Bed with Green Blanket"),
	mesh = blanket,
	tiles = {violet, green},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"wool:white", "wool:green", "group:stick"},
		{"wool:violet", "wool:violet", "wool:white"},
		{"default:acacia_wood", "default:acacia_wood", "default:acacia_wood"}
	}
})

--Red Log-Style Bed with Pillow, 3 tiles, one for bedding, tree for frame, tree_top for poles

beds.register_bed("beds:log_red", {
	description = S("Red Log-Style Bed with Pillow"),
	mesh = log,
	tiles = {red, tree, "default_tree_top.png"},	
	selectionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, -0.06, 1.5},
	recipe = {
		{"", "", "group:tree"},
		{"wool:red", "wool:red", "wool:white"},
		{"default:tree", "default:tree", "default:tree"}
	}
})

minetest.register_alias("beds:log_bed_pillow","beds:log_red") 

-- Original simple shaped bed for old time's sake, remapped, one or two tile

beds.register_bed("beds:bed", {
	description = S("Red Simple Bed"),
	mesh = simple,
	tiles = {red},
	mesh = simple,
	selectionbox = {-0.5, -0.5, -0.5, 0.5, 0.06, 1.5},
	collisionbox = {-0.5, -0.5, -0.5, 0.5, 0.06, 1.5},
	recipe = {
		{"wool:red", "wool:red", "wool:white"},
		{"default:wood", "default:wood", "default:wood"}
	}
})
